DrawableVertex
Keywords: uk.ac.ic.doc.automed.editor.DrawableVertex,DrawableVertex interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor
Interface DrawableVertex

All Superinterfaces:
  Drawable

All Known Implementing Classes:
  DrawVertex

public interface DrawableVertex
extends Drawable

Method Summary
`java.awt.Rectangle` | `getBounds()` Describe the rectangular area within the `EditorPanel` where this `Drawable` vertex is to be painted.
`java.awt.Point` | `getCentre()` Describe where the centre of the `Drawable` visually appears to a viewer.
`java.awt.Point` | `getCentreOffset()` Describe where the centre of the `Drawable` visually appears to a viewer.
`java.awt.Point` | `getConnectionPoint(java.awt.Point other)` Calculate the `Point` where a `DrawableArc` connecting to this `DrawableVertex` should be drawn to, no
`Positionable` | `getPositionable()`
`Positionable[]` | `getRelativeTo()`

Methods inherited from interface uk.ac.ic.doc.automed.editor.Drawable
`paint`

Method Detail

### getBounds

    public java.awt.Rectangle getBounds()

  Describe the rectangular area within the `EditorPanel` where this `Drawable` vertex is to be painted.

### getRelativeTo

    public Positionable[] getRelativeTo()

### getPositionable

    public Positionable getPositionable()

### getCentre

    public java.awt.Point getCentre()

  Describe where the centre of the `Drawable` visually appears to a viewer.

  Returns:
    A point that is the absolute coordinate of the , graphical centre of this `Drawable`.

### getCentreOffset

    public java.awt.Point getCentreOffset()

  Describe where the centre of the `Drawable` visually appears to a viewer.

  Returns:
    A point that is an offset within `getBounds()`, where the graphical centre of this `Drawable` lies.

### getConnectionPoint

    public java.awt.Point getConnectionPoint(java.awt.Point other)

  Calculate the `Point` where a `DrawableArc` connecting to this `DrawableVertex` should be drawn to, no

  Returns:
    Point

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD